FLAG always

STAR 0
FLAG faraway
END STAR

CONDITION 0
TYPE explore
STR0 0
END CONDITION

CONDITION 1
TYPE uvar
STR0 usedbeacon
STR1 0
END CONDITION

CONDITION 2
TYPE uvar
STR0 usedbeacon
STR1 1
END CONDITION

CONDITION 3
TYPE uvar
STR0 usedbeacon
STR1 2
END CONDITION

PAGE 0
REQ0 0
REQ1 1
ACTN endquest
GFXP misc/ranger.jpg
TITL Ranger
TEXT Your ship is contacted by a Ranger with important intelligence.  The Shadows are massing, but some other First Ones might remain near black holes to avoid attention from younger races. 
ITMS 1 loot
SCOR 300 exploring
END PAGE

PAGE 1
REQ0 0
REQ1 2
ACTN popup endquest
DISP 1
TITL First Ones Device
TEXT With a strange noise, the ancient Vorlon summoning device in your hold disappears without a trace!
REMV dv_vorbeacon
SOND misc/beacon_fail.ogg
SVAR usedbeacon 2
END PAGE

PAGE 2
REQ0 0
REQ1 3
ACTN endquest
GFXP misc/ranger.jpg
TITL Ranger
TEXT Your ship is contacted by a Ranger with important intelligence.  The Drakh are massing, but he warns you that there is evidence that their agents have been infiltrating Earth Alliance forces! 
ITMS 1 loot
SCOR 300 exploring
END PAGE